Skip to main content
IBM Quantum Platform
This REST API is only available to On-Prem Plan members who have enabled it in their environment.

Backends


Get list of backends

Returns a list of backends enabled for direct access.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following actions. You can check your access by going to Users > User > Access

  • quantum-computing.direct-access-backend.list

Auditing

Calling this method generates the following auditing events.

  • quantum-computing.direct-access-backend.list

Input

Infomation
This endpoint accepts no inputs.
Code samples
GET
/v1/backends
curl -X GET \
  'https://direct-access-<YOUR_CLIENT_ACRONYM>.quantum-computing.cloud.ibm.com:30060/v1/backends' \
  -H 'Accept: application/json'

Output

HTTP Response Status Codes
Status code
Description
200Returned when backends were retrieved successfully.
401Returned when authentication failed.
Responses
{
  "backends": [
    {
      "message": "example",
      "name": "ibm_bromont",
      "status": "online",
      "version": "1.0.0"
    }
  ]
}

Get backend details

Returns details of a backend.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following actions. You can check your access by going to Users > User > Access

  • quantum-computing.direct-access-backend.read

Auditing

Calling this method generates the following auditing events.

  • quantum-computing.direct-access-backend.read

Input

Path Parameters
Name, Type
Description
backend-name
Required
string
Example: "ibm_bromont"
Code samples
GET
/v1/backends/{backend-name}
curl -X GET \
  'https://direct-access-<YOUR_CLIENT_ACRONYM>.quantum-computing.cloud.ibm.com:30060/v1/backends/{backend-name}' \
  -H 'Accept: application/json'

Output

HTTP Response Status Codes
Status code
Description
200Returned when backend details was retrieved successfully.
401Returned when authentication failed.
404Returned when backend is not found.
Responses
{
  "message": "example",
  "name": "ibm_bromont",
  "status": "online",
  "version": "1.0.0"
}

Get backend configuration

Returns configuration of a backend.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following actions. You can check your access by going to Users > User > Access

  • quantum-computing.direct-access-backend-configuration.read

Auditing

Calling this method generates the following auditing events.

  • quantum-computing.direct-access-backend-configuration.read

Input

Path Parameters
Name, Type
Description
backend-name
Required
string
Example: "ibm_bromont"
Code samples
GET
/v1/backends/{backend-name}/configuration
curl -X GET \
  'https://direct-access-<YOUR_CLIENT_ACRONYM>.quantum-computing.cloud.ibm.com:30060/v1/backends/{backend-name}/configuration' \
  -H 'Accept: application/json'

Output

HTTP Response Status Codes
Status code
Description
200Returned when backend configuration was retrieved successfully.
401Returned when authentication failed.
404Returned when backend is not found.
Responses
{
  "backend_name": "example",
  "sample_name": "example",
  "backend_version": "example",
  "n_qubits": 1,
  "basis_gates": [
    "example"
  ],
  "coupling_map": [
    [
      1
    ]
  ],
  "gates": [
    {
      "name": "example",
      "parameters": [
        "example"
      ],
      "coupling_map": [
        [
          1
        ]
      ],
      "qasm_def": "example",
      "conditional": true,
      "latency_map": [
        [
          0
        ]
      ],
      "description": "example"
    }
  ],
  "local": true,
  "simulator": true,
  "conditional": true,
  "memory": true,
  "max_shots": 1,
  "max_experiments": 1,
  "n_registers": 1,
  "register_map": [
    [
      0
    ]
  ],
  "configurable": true,
  "credits_required": true,
  "online_date": "example",
  "display_name": "example",
  "description": "example",
  "tags": [
    "credits_required"
  ],
  "rep_delay_range": [
    [
      1
    ]
  ],
  "default_rep_delay": 1,
  "dynamic_reprate_enabled": true,
  "measure_esp_enabled": true,
  "supported_instructions": [
    "example"
  ],
  "supported_features": [
    "example"
  ],
  "quantum_volume": 1,
  "processor_type": {
    "family": "example",
    "revision": "example",
    "segment": "example"
  },
  "qubit_lo_range": [
    [
      1
    ]
  ],
  "meas_lo_range": [
    [
      1
    ]
  ],
  "timing_constraints": {
    "granularity": 1,
    "min_length": 1,
    "pulse_alignment": 1,
    "acquire_alignment": 1
  },
  "open_pulse": true,
  "n_uchannels": 1,
  "hamiltonian": {
    "h_latex": "example",
    "h_str": [
      "example"
    ],
    "vars": {},
    "osc": {}
  },
  "u_channel_lo": [
    [
      {
        "q": 1,
        "scale": [
          1
        ]
      }
    ]
  ],
  "meas_levels": [
    1
  ],
  "dt": 1,
  "dtm": 1,
  "rep_times": [
    1
  ],
  "meas_map": [
    [
      1
    ]
  ],
  "channel_bandwidth": [
    [
      1
    ]
  ],
  "meas_kernels": [
    "example"
  ],
  "discriminators": [
    "example"
  ],
  "acquisition_latency": [
    [
      1
    ]
  ],
  "conditional_latency": [
    [
      1
    ]
  ],
  "parametric_pulses": [
    "example"
  ],
  "channels": {}
}

Get backend properties

Returns properties of a backend.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following actions. You can check your access by going to Users > User > Access

  • quantum-computing.direct-access-backend-properties.read

Auditing

Calling this method generates the following auditing events.

  • quantum-computing.direct-access-backend-properties.read

Input

Path Parameters
Name, Type
Description
backend-name
Required
string
Example: "ibm_bromont"
Code samples
GET
/v1/backends/{backend-name}/properties
curl -X GET \
  'https://direct-access-<YOUR_CLIENT_ACRONYM>.quantum-computing.cloud.ibm.com:30060/v1/backends/{backend-name}/properties' \
  -H 'Accept: application/json'

Output

HTTP Response Status Codes
Status code
Description
200Returned when backend properties was retrieved successfully.
401Returned when authentication failed.
404Returned when backend is not found.
Responses
{
  "backend_name": "example",
  "backend_version": "example",
  "gates": [
    {
      "gate": "example",
      "parameters": [
        {
          "date": "example",
          "name": "example",
          "unit": "example",
          "value": 1
        }
      ],
      "qubits": [
        1
      ]
    }
  ],
  "general": [
    {
      "date": "example",
      "name": "example",
      "unit": "example",
      "value": 1
    }
  ],
  "last_update_date": "example",
  "qubits": [
    [
      {
        "date": "example",
        "name": "example",
        "unit": "example",
        "value": 1
      }
    ]
  ]
}
Was this page helpful?
Report a bug, typo, or request content on GitHub.